Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.move.factory
Class MoveListFactoryConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
              org.optaplanner.core.config.heuristic.selector.move.factory.MoveListFactoryConfig

    public class MoveListFactoryConfig

extends MoveSelectorConfig

Field Summary
`protected Class<? extends MoveListFactory>` | `moveListFactoryClass`

Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

Constructor Summary
`MoveListFactoryConfig()`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
`Class<? extends MoveListFactory>` | `getMoveListFactoryClass()`
`void` | `inherit(MoveListFactoryConfig inheritedConfig)`
`protected boolean` | `isBaseInherentlyCached()`
`void` | `setMoveListFactoryClass(Class<? extends MoveListFactory> moveListFactoryClass)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, determineBaseRandomSelection, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inherit, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### moveListFactoryClass

    protected Class<? extends MoveListFactory> moveListFactoryClass

Constructor Detail

### MoveListFactoryConfig

    public MoveListFactoryConfig()

Method Detail

### getMoveListFactoryClass

    public Class<? extends MoveListFactory> getMoveListFactoryClass()

### setMoveListFactoryClass

    public void setMoveListFactoryClass(Class<? extends MoveListFactory> moveListFactoryClass)

### isBaseInherentlyCached

    protected boolean isBaseInherentlyCached()

  Overrides:
    `isBaseInherentlyCached` in class `MoveSelectorConfig`

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              boolean randomSelection)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
  Returns:
    never null

### inherit

    public void inherit(MoveListFactoryConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.